# ControllerListener (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick
Interface ControllerListener

All Superinterfaces:
  ControlledInputReciever

All Known Subinterfaces:
  GameState, InputListener

All Known Implementing Classes:
  AbstractComponent, AlphaMapTest, AnimationTest, AntiAliasTest, BasicComponent, BasicGame, BasicGameState, BigImageTest, BigSpriteSheetTest, CachedRenderTest, CanvasContainerTest, CanvasSizeTest, ClipTest, CopyAreaAlphaTest, CurveTest, DeferredLoadingTest, DistanceFieldTest, DoubleClickTest, DuplicateEmitterTest, FlashTest, FontPerformanceTest, FontTest, GeomAccuracyTest, GeomTest, GeomUtilTest, GeomUtilTileTest, GradientImageTest, GradientTest, GraphicsTest, GUITest, ImageBufferEndianTest, ImageBufferTest, ImageCornerTest, ImageGraphicsTest, ImageMemTest, ImageOutTest, ImageReadTest, ImageTest, InkscapeTest, InputAdapter, InputProviderTest, InputTest, IsoTiledTest, KeyRepeatTest, LameTest, LineRenderTest, MorphShapeTest, MorphSVGTest, MouseOverArea, MusicListenerTest, NavMeshTest, PackedSheetTest, ParticleTest, PedigreeTest, PolygonTest, PureFontTest, SavedStateTest, ScalableTest, ShapeTest, SlickCallableTest, SoundPositionTest, SoundTest, SoundURLTest, SpriteSheetFontTest, StateBasedGame, StateBasedTest, TestBox, TestState1, TestState2, TestState3, TextField, TexturePaintTest, TileMapTest, TransformTest, TransformTest2, TransitionTest, TransparentColorTest, TrueTypeFontPerformanceTest, UnicodeFontTest

    public interface ControllerListener

extends ControlledInputReciever

Description of classes capable of responding to controller events

Author:
  kevin

Method Summary
`void` `controllerButtonPressed(int controller, int button)` Notification that a button control has been pressed on the controller.
`void` `controllerButtonReleased(int controller, int button)` Notification that a button control has been released on the controller.
`void` `controllerDownPressed(int controller)` Notification that the down control has been pressed on the controller.
`void` `controllerDownReleased(int controller)` Notification that the down control has been released on the controller.
`void` `controllerLeftPressed(int controller)` Notification that the left control has been pressed on the controller.
`void` `controllerLeftReleased(int controller)` Notification that the left control has been released on the controller.
`void` `controllerRightPressed(int controller)` Notification that the right control has been pressed on the controller.
`void` `controllerRightReleased(int controller)` Notification that the right control has been released on the controller.
`void` `controllerUpPressed(int controller)` Notification that the up control has been pressed on the controller.
`void` `controllerUpReleased(int controller)` Notification that the up control has been released on the controller.

Methods inherited from interface org.newdawn.slick.ControlledInputReciever
`inputEnded, inputStarted, isAcceptingInput, setInput`

Method Detail

### controllerLeftPressed

    void controllerLeftPressed(int controller)

  Notification that the left control has been pressed on the controller.

  Parameters:
    `controller` - The index of the controller on which the control was pressed.

### controllerLeftReleased

    void controllerLeftReleased(int controller)

  Notification that the left control has been released on the controller.

  Parameters:
    `controller` - The index of the controller on which the control was released.

### controllerRightPressed

    void controllerRightPressed(int controller)

  Notification that the right control has been pressed on the controller.

  Parameters:
    `controller` - The index of the controller on which the control was pressed.

### controllerRightReleased

    void controllerRightReleased(int controller)

  Notification that the right control has been released on the controller.

  Parameters:
    `controller` - The index of the controller on which the control was released.

### controllerUpPressed

    void controllerUpPressed(int controller)

  Notification that the up control has been pressed on the controller.

  Parameters:
    `controller` - The index of the controller on which the control was pressed.

### controllerUpReleased

    void controllerUpReleased(int controller)

  Notification that the up control has been released on the controller.

  Parameters:
    `controller` - The index of the controller on which the control was released.

### controllerDownPressed

    void controllerDownPressed(int controller)

  Notification that the down control has been pressed on the controller.

  Parameters:
    `controller` - The index of the controller on which the control was pressed.

### controllerDownReleased

    void controllerDownReleased(int controller)

  Notification that the down control has been released on the controller.

  Parameters:
    `controller` - The index of the controller on which the control was released.

### controllerButtonPressed

    void controllerButtonPressed(int controller,
                                 int button)

  Notification that a button control has been pressed on the controller.

  Parameters:
    `controller` - The index of the controller on which the control was pressed.
    `button` - The index of the button pressed (starting at 1)

### controllerButtonReleased

    void controllerButtonReleased(int controller,
                                  int button)

  Notification that a button control has been released on the controller.

  Parameters:
    `controller` - The index of the controller on which the control was released.
    `button` - The index of the button released (starting at 1)

Copyright © 2006 New Dawn Software. All Rights Reserved.